
import usb.core
import usb.util

def find_first_device_byvidpid(vid, pid):
    # This function finds the first USB device that matches the given vendor ID (vid) and product ID (pid)
    devices = usb.core.find(find_all=True)
    for device in devices:
        if device.idVendor == vid and device.idProduct == pid:
            return device
    return None

# JSON explanation
